Package twisted :: Package web :: Package woven :: Module controller |
[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.controller

Classes
`BlankPage` |
`Controller` | A Controller which handles to events from the user.
`LiveController` | A Controller that encapsulates logic that makes it possible for this page to be "Live".
`WController` | A Controller which handles to events from the user.

Function Summary
| `controllerFactory(controllerClass)`
| `controllerMethod(controllerClass)`
| ``registerControllerForModel`(controller, model)` Registers `controller' as an adapter of `model' for IController, and optionally registers it for IResource, if it implements it.

Variable Summary
`str` | `__version__`
`_Feature` | `nested_scopes`
`str` | `WOVEN_PATH`

Function Details

### registerControllerForModel(controller, model) Registers `controller' as an adapter of `model' for IController, and optionally registers it for IResource, if it implements it. Parameters: `controller` - A class that implements `interfaces.IController`, usually a `Controller` subclass. Optionally it can implement `resource.IResource`. `model` - Any class, but probably a `twisted.web.woven.model.Model` subclass.

Variable Details

    ### __version__ Type: `str` Value:
        '1.54'

    ### nested_scopes Type: `_Feature` Value:
        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

    ### WOVEN_PATH Type: `str` Value:
        './twisted/web/woven'

Generated by Epydoc 1.1 on Thu May 8 13:19:10 2003 | http://epydoc.sf.net